Bug 180103 - build failure, useless -debuginfo package
build failure, useless -debuginfo package
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kdocker (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-05 15:10 EST by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.3-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-10 14:59:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Fix build and -debuginfo (492 bytes, patch)
2006-02-05 15:10 EST, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2006-02-05 15:10:55 EST
kdocker build fails for me on a semi-clean system:

+ qmake DESTDIR=/var/tmp/kdocker-1.3-4.1-buildroot-scop
+ make install
make[1]: Entering directory `/home/scop/cvs/fedora/extras/kdocker/devel/kdocker'
( cd /src/moc && make )
/bin/sh: line 0: cd: /src/moc: No such file or directory
make[1]: *** [/bin/moc] Error 1

Also, when fixed, it produces a useless debuginfo package.  Fix for both issues
attached.
Comment 1 Ville Skyttä 2006-02-05 15:10:56 EST
Created attachment 124225 [details]
Fix build and -debuginfo
Comment 2 Rex Dieter 2006-03-10 14:59:39 EST
I'm not seeing the -strip problem.  What Fedora Core release where/are using
when you saw this?

Regardless, the sed is harmless...
Comment 3 Rex Dieter 2006-03-10 15:05:20 EST
Nevermind my question, I was too boneheaded to look at the Version entry here in
bugzilla said "devel".

Note You need to log in before you can comment on or make changes to this bug.